Subject: Re: [Fwd: Subnetwork and addressing in ad-hoc networks]

From: "Jari T. Malinen" <[email-masked]>
Date: Wed, 21 Nov 2001 13:39:33 -0800

Hello, Bruno,

I'd like to comment on your remark on the use of any global vs. a
manet-specific address from a special prefix/prefixes. I think both
should be supported. The discussion below is a bit IPv6 biased but the
principles are to a degree also applicable to IPv4.

On addressing and Internet-connectivity, here are some basic requirements:
The address used must not require dissemination of host routes to the
fixed network. Also, the communication address should be able to be any
globally routable unicast address for the Internet-connectivity to be
a fully functional one. This is important to provide ubiquitous mobility
and connectivity support for all possible nodes and routers, also those
moving to a manet from the fixed network.

When setting up Internet connectivity, as in draft-wakikawa-manet-global6,
there are two cases: the communication address is an arbitrary fixed unicast
address already existing, or it is one acquired when joining the manet cloud.

To set up the connectivity, we first need an address by which to communicate
to an Internet-gateway (a "default router" for a multi-hop manet cloud). In
the first case we already have it, in the second case we need to get one.
To have one not used elsewhere, we need some fixed prefix, e.g. from the site
scope.

In short, manet-autoconf and global6 describe methods to do what in IPv6
would be Neighbor Discovery in its stateless address autoconfiguration and
duplicate address detection (DAD) in a multi-hop environment, with global6 and
autoconf, respectively.

This way we can support
- manet node with pre-existing (widely known) address
  - to get a topologically correct global address from an Internet-Gateway and
    use it as the communication address, if that is sufficient for the communication
    (mobile-initiated sessions), then no Mobile IPv6 is needed.
  - to use the pre-existing address with Mobile IPv6 as a home address (network-
    initiated session support, global mobility support)
- manet node with no pre-existing address
  - to get a temporary address for locating the Internet-Gateway
  - to use the topologically correct global addres from the Internet-Gateway as the
    communication address for both mobile and network initiated communication.
    Mobile IPv6 is not needed, unless the node moves away from the Manet to
    a fixed network and wants to continue using the acquired address (the
    case when the node is "at home" in the Manet cloud).

BR,

-Jari

Jari T. Malinen
Nokia Research Center

Bruno Husson wrote:
> Hi,
> 
> David Lundberg a écrit :
> 
> > Hi!
> >
> > > 8.11 Why is broadcast 255.255.255.255 ? isn't this a little general and
> > > couldn't one use a less generic broadcast address mask ?
> >
> > Since the nodes around is not requiered to be on the same
> > subnetwork.
> >
> 
> It depends what you call a subnetwork.
> I think that in many use cases,  nodes of an ad-hoc network can share a
> common "network id". Thus broadcasting can be limited to that network id
> (broadcast address composed of the network id followed by "1111...").
> 
> A node is not allowed to have any IP address of its choice when it is
> connected on a given LAN.
> I think an ad-hoc node should not be allowed to have any IP address. A
> "network id" should be defined for each ad-hoc network (or ad-hoc
> subnetwork).
> 
> The addressing problem has not been solved in ad-hoc networks.
> An IPv4 address is normaly composed of a "network id" and a "host id".
> 
> In draft_ietf_manet_autoconf-00.txt, a value for the "network id" is proposed
> : 169.254/16
> and also a Duplicate Address Detection (DAD) mechanism for connex networks.
> I agree with the DAD mechanism but disagree with a unique "network id" common
> to all ad-hoc networks on the earth.
> 
> tony mcauley et al. recently presented a short paper called
> "self-configuring netwhorks" at the ARL Federated Laboratory 4th Annual
> Symposium which
> presents a DHCP-based extension for dynamic address assignment in ad hoc
> nets, in
> http://search.ietf.org/internet-drafts/draft-itsumo-drcp-00.txt
> 
> Some have proposed that each node has a fixed adressed. Others propose that
> address could change depending of node movements....
> 
> I personally think that addresing in ad-hoc should be compliant with other
> networks, meaning that internetwork routing should also work when ad-hoc
> networks are interconnected with fixed networks (internet for instance).
> I think an ad-hoc network could be a subnetwork of a more important network.
> An ad-hoc network could be considered as a unique network or composed of
> several sub-networks, depending on the administrative organization, and on
> the possible topology (totally meshed or nodes moving inside defined
> separated areas...), exactly like for LANs.
> 
> Thus, the address class could be one of  B or C classes. As long as a node
> stays in the same subnetwork, I think it should keep the same address. This
> address is composed of the network-id corresponding to the sub-network inside
> which it is (the network id is given by configuraiton of the node) and a host
> id ideally calculated from its MAC address or possibly a random one at
> initialization with a DAD mechanism limited to the sub-network.
> This could answer to most ad-hoc addressing needs including possible
> interconnection of an ad-hoc network  with fixed networks.
> 
> The limits of such a solution comes where nodes with different  network id
> (i.e. members of different subnetworks) are neighbour and try to communicate
> one with the other. In that case, some nodes should play the role of a
> gateway between two subnetworks. So, subnetworking inside an ad-hoc network
> should be restricted to specific cases where subnetworks are clearly
> separated with some defined gateways between them. (this looks like the
> notion of zone of some manet routing protocol like ZRP).  In that case, a
> node moving from one subnet to another could possibly get a new address with
> some mechanisms like address autoconfiguration and resolve routing with
> mechanisms like MobileIP. DHCP and Mobile IP should be adapted in the ad-hoc
> environment, as they usually imply fixed servers.
> 
> Finally there is the case of very large ad-hoc networks, with thousands of
> nodes, able to move anywhere and to communicate with any other node. Is there
> a clear use case (market) for this kind of problem? If yes, I am interested
> to hear more about it.
> 
> --
> Bruno HUSSON
> Tel : +33 1 46 08 61 92
> Fax : +33 1 46 08 61 10
> Standard : +33 1 46 08 61 00
> e-mail:[email-masked]
> -----------------
> SYCOMORE - Groupe EADS
> Immeuble l'Etendard
> 63 ter, Avenue Edouard VAILLANT
> 92517 BOULOGNE-BILLANCOURT
> http://www.sycomore.fr
> ------------------------------------------------------